Skip to main content

Create loan transaction

POST 

/loans/{loanAccountId}/transactions

Post transactions to the loan account. Transactions may affect the balance (such as a repayment or disbursal) or just the state of the account (such as approving it).

You can create transactions either by supplying data via query parameters or a JSON body.

warning

When making a POST request that sends data through query parameters, the Content-Type header must not be set.

Transaction Types

TypeDescription
REPAYMENTMake a repayment.
REPAYMENT_ADJUSTMENTReverse a REPAYMENT transaction.
PAYMENT_MADEMake a payment that will be stored as a redrawable balance on the loan account.
PAYMENT_MADE_ADJUSTMENTReverse a PAYMENT_MADE transaction.
DISBURSEMENTDisburse the loan account.
DISBURSEMENT_ADJUSTMENTReverse a DISBURSEMENT transaction.
Note: The parameter for the disbursement adjustment call is currently misspelled as DISBURSMENT_ADJUSTMENT. This will be corrected in the near future.
APPROVALChange the account state to approved.
UNDO_APPROVALReverse an APPROVAL transaction.
FEEApply a fee.
FEE_ADJUSTMENTReverse a FEE transaction.
INTEREST_APPLIEDManually apply interest.
INTEREST_APPLIED_ADJUSTMENTReverse an INTEREST_APPLIED transaction.
INTEREST_RATE_CHANGEDApply an interest rate change transaction.
WITHDRAWChange the account state to withdrawn.
UNDO_WITHDRAWNReverse a WITHDRAW transaction.
REJECTChange the account state to rejected.
UNDO_REJECTReverse a REJECT transaction.
LOCKChange the account state to locked.
UNLOCKUnlock the account.
PENDING_APPROVALTransition the account state to Pending Approval.
PENALTY_APPLIEDApply a penalty.
PENALTY_ADJUSTMENTReverse a PENALTY_APPLIED transaction.
WRITE_OFFWrite off the loan.
WRITE_OFF_ADJUSTMENTReverse a WRITE_OFF transaction.
CLOSEClose the loan account with all obligations met. Requires the account to have 0 principal balance and to be in Active or In Arrears state.
UNDO_CLOSEReverse a CLOSE transaction.

Request

Responses

OK